Bug 444490

Summary: "Missing operating system" at boot after install to external gpt EFI drive (Intel Macintosh)
Product: [Fedora] Fedora Reporter: John Reiser <jreiser>
Component: anacondaAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: cward, ma, mlists, psj
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 06:35:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    

Description John Reiser 2008-04-28 13:30:10 EDT
Description of problem: The first boot to Fedora 9 after installing F9 Preview
DVD to an external ieee1394 (firewire) harddrive with gpt EFI layout on an Apple
Macintosh Mini with Intel CPU, fails with message "Missing operating system."


Version-Release number of selected component (if applicable):
anaconda-11.4.0.73

How reproducible: always


Steps to Reproduce:
1. Initialize external firewire drive to gpt layout using Apple Disk Utility,
and create 3 partitions: 2 hfs+, 1 empty.
2. Install Fedora 9 Preview DVD.  Use 'parted' to create ext3 root and swap
partitions in previous empty space.  Accept default to install boot loader to
/dev/sdb4 (the root partition on the external drive that was initialized in step 1.)
3. Reboot, holding down the Option key during the chime.  There are now three
choices: Macintosh HD with gray-scale picture of drive, Windows with same icon
as Macintosh HD, Windows with yellow icon of Firewire harddrive enclosure.
  
Actual results:  Choosing either Windows icon (HD or Firewire), then clicking
the arrow for boot, results in "Missing operating system."  Choosing Macintosh
HD, then clikcing the arrow to boot, results in successful boot of Mac OS X.

After the Apple Disk Utility initialization, then 'parted' from Rescue mode shows:
-----
Partition Table: gpt

Number  Start   End     Size    File system  Name                  Flags
 1      20.5kB  210MB   210MB   fat32        EFI System Partition  boot
 2      210MB   10.7GB  10.5GB  hfs+         Apple_HFS_Untitled_1
 3      51.1GB  79.9GB  28.8GB  hfs+         Apple_HFS_Untitled_2
-----

After installing Fedora 9 Preview, then 'parted' from Rescue mode shows:
-----
Partition Table: gpt

Number  Start   End     Size    File system  Name                  Flags
 1      20.5kB  210MB   210MB   fat32        EFI System Partition  boot
 2      210MB   10.7GB  10.5GB  hfs+         Apple_HFS_Untitled_1
 4      10.7GB  25.7GB  15.0GB  ext3                               boot
 5      50.1GB  51.1GB  957MB   linux-swap
 3      51.1GB  79.9GB  28.8GB  hfs+         Apple_HFS_Untitled_2
-----



Expected results:  Successful boot of Fedora 9 when choosing at least one of the
"Windows" icons that are displayed by Option boot.


Additional info: Most of the installed root looks OK.  Rescue mode can find the
system, after a nasty [and incorrect] message "Duplicate Labels.  Multiple
devices on your system are labeled EFI.  Labels across devices must be unique
for your system to function properly. ..."  The /boot tree looks correct
(kernel, initrd, grub, efi, etc.)  e2fsck -f on the unmounted root shows no errors.
Comment 1 Bug Zapper 2008-05-14 06:19:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-06-02 17:20:32 EDT
Does this still happen with the final release of F9?
Comment 3 John Reiser 2008-06-03 00:08:29 EDT
Yes, "Missing operating system" still happens with F9.
Comment 4 John Reiser 2008-08-11 17:38:52 EDT
Moving to Fedora 10 Alpha release DVD, I still cannot boot the installed system.

Booting with Option key held down (this is an Apple Macintosh Mini with Intel Core Duo [not Core _2_ Duo] i686 CPU), I see two harddrive icons (one labeled MacOS and one labeled Windows), two Firewire icons (one labeled with the MacOS volume name for an external hfs+ partition with MacOS installed, one labeled Windows), and one optical media icon (labeled Windows: the Fedora 10 DVD Alpha release).

It seems to me that the three icons labeled Windows are somehow related to Fedora.  Selecting the harddrive icon, then booting it, gives "Missing operating system", then wait forever.  Selecting the Firewire icon, then booting it, gives a 15 second timeout with no response (fullscreen gray background and icons still displayed, mouse frozen), then a black screen for 5 seconds, then a blank screen (no video); this is a crash.  Selecting the optical media icon, then booting it, gives the Fedora 10 DVD installer again.

As a guess, the harddrive icon labeled Windows is supposed to be the new Fedora system, but the spindle is wrong: the icon is for an internal harddrive, but I put Fedora on an external harddrive.  As another guess, the firewire icon labeled Windows is supposed to be the new Fedora system, but the boot software is not right.

Looking at mounted partition 1 of the internal drive with "find /sdb1" I see
-----
/sdb1
/sdb1/efi
/sdb1/efi/apple
/sdb1/efi/apple/EXTENSIONS
/sdb1/efi/apple/EXTENSIONS/Firmware.scap
-----
which is what boots MacOSX [at least from the internal harddrive.]

Looking at mounted partition 1 of the external drive with "find /sda1" I see
-----
/sda1
-----
i.e., there are no files there.  Instead, they are in /sda4/boot/efi, which is part of the new Fedora root filesystem on partition 4.  So, I move those files from /sda4/boot/efi into /sda1:
-----
/sda1
/sda1/efi
/sda1/efi/efi
/sda1/efi/efi/redhat
/sda1/efi/efi/redhat/grub.efi
-----
and try booting, but I still get blank screen crash.
Comment 5 Bug Zapper 2008-11-25 21:14:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Ward 2009-04-06 05:08:01 EDT
Is this still an issue in F11 Beta?
Comment 7 Chris Ward 2009-04-06 05:30:17 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 8 John Reiser 2009-04-06 12:45:58 EDT
The problem persists in Fedora 11 Beta i386 DVD.
Comment 9 Bill McGonigle 2009-05-24 22:37:53 EDT
I updated my F10 machine (MBP w/ rEFIt) to F11 rawhide using the recommended 'preupgrade' method.  After reboot, I got "missing operating system".

I figured out that what I needed to do was to run rEFIt's EFI to MBR partition table synchronization routine.  So, this must mean that the upgrade messed with the partition table.

Note to Mr. Anaconda: my partition table was fine before, thanks, please don't mess with it on upgrades.

I'm not sure if it was just bug 478762's boot flag or something else, I didn't expect to need to diff a before and after so I'm not sure what it changed.  Before and after the machine does boot properly.
Comment 10 Bug Zapper 2009-06-09 05:33:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 08:01:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:35:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.